> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/da/powershell-commands/update-dsentrydocumentation.md).

# Update-DSEntryDocumentation

Update-DSEntryDocumentation opdateringer dokumentationen side af en Devolutions Server post af post og side ID eller input objekt.

### Synopsis

Opdateringer en dokumentation side.

### Syntaks

#### InputObject

```
Update-DSEntryDocumentation [-InputObject] <ConnectionHandbookPage> [-Name <string>]
 [-Data <string>] [-AsLastPage] [-AsNewDefault] [-AsLegacyResponse] [<CommonParameters>]
```

#### EntryID

```
Update-DSEntryDocumentation [-EntryID] <guid> [-PageID] <guid> [-Name <string>] [-Data <string>]
 [-AsLastPage] [-AsNewDefault] [-AsLegacyResponse] [<CommonParameters>]
```

### Description

Opdateringer en dokumentation side. Takes enten en combination af post og side IDs, eller et input objekt (hentet med Get-DSEntryDocumentation).

### Eksempler

#### Eksempel 1

```powershell
PS C:\> Update-DSEntryDocumentation -EntryID $entryId -PageID $pageId -Data "My new documentation"
```

Opdatering en eksisterende dokumentation siden data.

#### Eksempel 2

```powershell
PS C:\> Get-DSEntryDocumentation -ID $entryId -Name "DocToUpdate" | Update-DSEntryDocumentation -Data "My new documentation"
```

Opdatering en eksisterende dokumentation siden data, med siden er hentet med Get-DSEntryDocumentation.

#### Eksempel 3

```powershell
PS C:\> $page = Get-DSEntryDocumentation -ID $entryId -Name "DocToUpdate";
    PS C:\> $page.Data = "My new documentation"
    PS C:\> Update-DSEntryDocumentation -InputObject $page
```

Opdatering en eksisterende dokumentation siden data, med siden er hentet med Get-DSEntryDocumentation og dens felter er manuelt edited.

### Parametre

#### -AsLastPage

Angiv siden som sidste en.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -AsLegacyResponse

I versioner før 2024.2 returnerede mange DS-cmdlets et ServerResponse-objekt. Når denne switch til bagudkompatibilitet er slået til, kan scripts, der er udviklet til tidligere versioner, fungere korrekt.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -AsNewDefault

Angiv siden som ny standard en.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Data

Indhold af dokumentationen side.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -EntryID

ID af posten.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: EntryID
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Dokumentation side hentet fra Get-DSEntryDocumentation.

```yaml
Type: Devolutions.RemoteDesktopManager.Business.ConnectionHandbookPage
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: InputObject
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Name

Navn af dokumentationen side.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -PageID

ID af dokumentationen side.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: EntryID
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Denne cmdlet understøtter de almindelige parametre: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction og -WarningVariable. Yderligere oplysninger finder De i [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Input

#### Devolutions.RemoteDesktopManager.Business.ConnectionHandbookPage

### Output

#### Devolutions.RemoteDesktopManager.Business.ConnectionHandbookPage

### Noter

Yderligere oplysninger får De ved at skrive "Get-Help Update-DSEntryDocumentation -detailed". Tekniske oplysninger får De ved at skrive "Get-Help Update-DSEntryDocumentation -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/da/powershell-commands/update-dsentrydocumentation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
